import React from 'react';
import { Button, Row, Col, Card, Typography, Image } from 'antd';
import { useNavigate, useSearchParams } from 'react-router-dom';
import { getDishById } from '@/services/dish';

const { Title, Paragraph } = Typography;

export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get('id');
  const [dish, setDish] = React.useState({});

  const navigate = useNavigate();

  React.useEffect(() => {
    if (id) {
      getDishById(id).then((res) => {
        setDish(res);
      });
    }
  }, [id]);

  return (
    <Card title={dish.name} extra={<Button onClick={() => navigate(-1)}>返回</Button>}>
      <Row gutter={24}>
        <Col span={12}>
          <Typography>
            <Paragraph>
              <div dangerouslySetInnerHTML={{ __html: dish.content }}  style={{ fontSize: '16px', lineHeight: '2em' }} />
            </Paragraph>
          </Typography>
        </Col>
        <Col span={12}>
          <Image style={{ minWidth: '240px', maxWidth: '480px' }} src={dish.thumb} />
        </Col>
      </Row>
    </Card>
  )
}
